Page MenuHomePhabricator

GUI: update app panel & ML view
ClosedPublic

Authored by bowonryu on Nov 26 2018, 1:41 AM.

Details

Reviewers
JackDanielZ
Summary
  • Apps
    • slider : adjust size of gengrid item
    • x : discard all apps
    • - : discard all error apps
    • + : generate apps
    • x in gengrid item : discard app
  • Scenario list
    • I have moved the functionality of the grid_app_menu, and added play scenario.
    • Validate will be implemented soon. (related with explorer).
  • ML view (select gengrid item)
    • Added Preview area : you can check the shot of app in here.
    • and other functions will be implemented soon. (language, run)
  • A simple change to the interface
    • About gengrid item,
      • click : preview tab
      • double click : add a new tab
    • the above function has been implemented.
Test Plan

ea_gen -> APP

Diff Detail

Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 8228
Build 7512: arc lint + arc unit
bowonryu requested review of this revision.Nov 26 2018, 1:41 AM
bowonryu created this revision.
bowonryu edited the summary of this revision. (Show Details)Nov 26 2018, 1:43 AM
bowonryu edited the summary of this revision. (Show Details)

Fix the warnings please

src/bin/gui.c
1968

Fix typo

Hello Daniel Zaoui

What warnings should I fix?

WRN<15875>:eina_file lib/eina/eina_file.c:880 eina_file_open() Could not open file ...
Are you saying this?

bowonryu updated this revision to Diff 17629.Nov 27 2018, 12:05 AM

Hi Daniel, I fixed typo.
And I fixed warnings. D7365

As I said above, is there any other warning should I fix?

@JackDanielZ
Hi Daniel
Why is the landing of this patch delayed?
As a result, other patches related to this are also being delayed.

Anyway, I have not found any warnings related to this patch.
I don't have anything..!

JackDanielZ accepted this revision.Nov 28 2018, 1:49 AM

Sorry forgot about it

I fixed the warnings that you should see :-), such as unused parameters and functions

This revision is now accepted and ready to land.Nov 28 2018, 1:49 AM
JackDanielZ closed this revision.Nov 28 2018, 1:49 AM